Package org.drinkless.tdlib

# Class TdApi.InternalLinkTypePhoneNumberConfirmation

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InternalLinkType
org.drinkless.tdlib.TdApi.InternalLinkTypePhoneNumberConfirmation

Enclosing class:
  `TdApi`

public static class TdApi.InternalLinkTypePhoneNumberConfirmation extends TdApi.InternalLinkType
The link can be used to confirm ownership of a phone number to prevent account deletion. Call sendPhoneNumberCode with the given phone number and with phoneNumberCodeTypeConfirmOwnership with the given hash to process the link. If succeeded, call checkPhoneNumberCode to check entered by the user code, or resendPhoneNumberCode to resend it.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InternalLinkType

  `TdApi.InternalLinkType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `hash`
  Hash value from the link.
  `String`
  `phoneNumber`
  Phone number value from the link.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalLinkTypePhoneNumberConfirmation()`
  The link can be used to confirm ownership of a phone number to prevent account deletion.
  `InternalLinkTypePhoneNumberConfirmation(String hash, String phoneNumber)`
  The link can be used to confirm ownership of a phone number to prevent account deletion.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### hash

    public String hash
    Hash value from the link.

  - ### phoneNumber

    public String phoneNumber
    Phone number value from the link.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InternalLinkTypePhoneNumberConfirmation

    public InternalLinkTypePhoneNumberConfirmation()
    The link can be used to confirm ownership of a phone number to prevent account deletion. Call sendPhoneNumberCode with the given phone number and with phoneNumberCodeTypeConfirmOwnership with the given hash to process the link. If succeeded, call checkPhoneNumberCode to check entered by the user code, or resendPhoneNumberCode to resend it.

  - ### InternalLinkTypePhoneNumberConfirmation

    public InternalLinkTypePhoneNumberConfirmation(String hash, String phoneNumber)
    The link can be used to confirm ownership of a phone number to prevent account deletion. Call sendPhoneNumberCode with the given phone number and with phoneNumberCodeTypeConfirmOwnership with the given hash to process the link. If succeeded, call checkPhoneNumberCode to check entered by the user code, or resendPhoneNumberCode to resend it.
    Parameters:
      `hash` - Hash value from the link.
      `phoneNumber` - Phone number value from the link.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InternalLinkType`
    Returns:
      this.CONSTRUCTOR